SpriteLibrary

# SpriteDatabase
LoadObjectFromXmlFile
T
Method

Load in an XML serialized item from the specified ResourceManager. You will usually make one of these by creating an object and using WriteToXmlFile
T
(String, T) SpriteDatabase.WriteToXmlFile to save it to a file on your desktop. Then you can drag and drop that file into your project and then use this LoadObjectFromXmlFile function.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public static T LoadObjectFromXmlFile<T>(
    	string XMLResourceToLoad,
    	ResourceManager MyManager
    )
    where T : new()

#### Parameters

XMLResourceToLoad
  Type: System
  String
  The resource item to load. If you would access it like: properties.resources.myFile, the correct value to put here would be "myFile"
MyManager
  Type: System.Resources
  ResourceManager
  The resource manager. Usually Properties.Resources.ResourceManager

#### Type Parameters

T
  The type of object to load. It could be something as simple as an int, a class, or a list of classes.

#### Return Value

Type: T
An object of the value you specified. Or null if it fails.
See Also

#### Reference

SpriteDatabase Class
SpriteLibrary Namespace